Skip to content
Navigation

Update member role

PATCH
https://api.sureshake.com/v2/organizations/members/{memberId}

Path parameters

  • memberId
    string
    required
    format: uuid

Request body JSON required

  • role
    owner
    or
    admin
    or
    member
    or
    viewer
    required

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • organizationId
      string
      required
    • userId
      string
      required
    • role
      owner
      or
      admin
      or
      member
      or
      viewer
      required
    • status
      string
      required
    • joinedAt
      optional
      string
      or null
      format: date-time
    • revokedAt
      optional
      string
      or null
      format: date-time
    • invitedBy
      optional
      string
      or null
    • organization
      optional
      object
      • id
        string
        required
      • name
        string
        required
      • slug
        string
        required
      • description
        optional
        string
        or null
      • organizationType
        optional
        string
        or null
      • status
        optional
        string
    • user
      optional
      object
      • id
        string
        required
      • name
        string
        or null
        required
      • email
        string
        or null
        required
      • avatar
        string
        or null
        required
      • title
        optional
        string
        or null
      • company
        optional
        string
        or null
    • inviter
      optional
      object
      • id
        string
        required
      • name
        string
        or null
        required
      • email
        string
        or null
        required
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close